#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
%bcond_without	python2 # CPython 2.x module
%bcond_without	python3 # CPython 3.x module

%define		module		uncompyle6
%define		egg_name	uncompyle6
%define		pypi_name	uncompyle6
Summary:	A Python decompiler, disassembler and cross-version bytecode library
Name:		python-%{pypi_name}
Version:	2.7.0
Release:	3
License:	MIT
Group:		Applications
Source0:	https://github.com/rocky/python-uncompyle6/archive/release-%{version}/%{name}-%{version}.tar.gz
# Source0-md5:	17887c06c40b23641490815432c44b99
URL:		https://github.com/rocky/python-uncompyle6/
%if %{with python2}
BuildRequires:	python-modules
BuildRequires:	python-pytest
BuildRequires:	python-setuptools
BuildRequires:	python-spark_parser
BuildRequires:	python-xdis
%endif
%if %{with python3}
BuildRequires:	python3-modules
BuildRequires:	python3-pytest
BuildRequires:	python3-setuptools
BuildRequires:	python3-spark_parser
BuildRequires:	python3-xdis
%endif
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.219
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
uncompyle6 translates Python bytecode back into equivalent Python
source code. It accepts bytecodes from Python version 2.5 to 3.4 or so
and has been tested on Python running versions 2.6, 2.7, 3.3, 3.4 and
3.5.

%package -n python3-%{module}
Summary:	A Python decompiler, disassembler and cross-version bytecode library
Group:		Libraries/Python
Requires:	python3-modules

%description -n python3-%{module}
uncompyle6 translates Python bytecode back into equivalent Python
source code. It accepts bytecodes from Python version 2.5 to 3.4 or so
and has been tested on Python running versions 2.6, 2.7, 3.3, 3.4 and
3.5.

%prep
%setup -qn %{name}-release-%{version}

# There is something wrong with this file that breaks tests
%{__rm} test/bytecode_2.4/02_complex.pyc

%build
%if %{with python2}
%py_build
%endif

%if %{with python3}
%py3_build
%endif

%{?with_tests:%{__make} PYTHONPATH=$(pwd) check}

%install
rm -rf $RPM_BUILD_ROOT

%if %{with python3}
%py3_install

%{__mv} $RPM_BUILD_ROOT%{_bindir}/{pydisassemble,py3disassemble}
%{__mv} $RPM_BUILD_ROOT%{_bindir}/{uncompyle6,py3uncompyle6}
%endif

%if %{with python2}
%py_install
%py_postclean
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%if %{with python2}
%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/pydisassemble
%attr(755,root,root) %{_bindir}/uncompyle6
%{py_sitescriptdir}/%{module}
%{py_sitescriptdir}/%{egg_name}-%{version}-py*.egg-info
%endif

%if %{with python3}
%files -n python3-%{module}
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/py3disassemble
%attr(755,root,root) %{_bindir}/py3uncompyle6
%{py3_sitescriptdir}/%{module}
%{py3_sitescriptdir}/%{module}-%{version}-py*.egg-info
%endif
%changelog
* Tue Jul 03 2018 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-uncompyle6.git;a=log;h=auto/th/python-uncompyle6-2.7.0-3

* Tue Jul 03 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> 0fe1ff3
- release 3 (by relup.sh)

* Wed Dec 28 2016 Arkadiusz Miśkiewicz <arekm@maven.pl> 75e51b2
- python 3.6
- release 2 (by relup.sh)

* Sat Jul 16 2016 Jan Rękorajski <baggins@pld-linux.org> 2b1b691
- up to 2.7.0

* Wed Jul 13 2016 Jan Rękorajski <baggins@pld-linux.org> 41d7062
- added python 3 package
- rel 2

* Fri Jul 08 2016 Elan Ruusamäe <glen@delfi.ee> af3636b
- up to 2.6.0

* Mon Jul 04 2016 Elan Ruusamäe <glen@delfi.ee> 7dc1b64
- up to 2.4.0, run tests

* Thu May 05 2016 Elan Ruusamäe <glen@delfi.ee> 8020bff
- up to 2.3.4

* Mon May 02 2016 Elan Ruusamäe <glen@delfi.ee> b65cedb
- v2.3.2; license fix

* Mon May 02 2016 Elan Ruusamäe <glen@delfi.ee> 48d6892
- superseds uncompyle2

* Mon Apr 25 2016 Arkadiusz Miśkiewicz <arekm@maven.pl> 4fe6c0d
- fix build

* Tue Sep 01 2015 Elan Ruusamäe <glen@delfi.ee> 6091ad8
- switch to Mysterie implementation

* Tue Sep 01 2015 Elan Ruusamäe <glen@delfi.ee> ae9c788
- new, version 1.1 (dffbdc4 git rev)

